<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class AnnualProgram extends Model
{
    use HasFactory;

    protected $guarded = ['id'];

    // Relasi balik ke Mata Pelajaran
    public function subject()
    {
        return $this->belongsTo(Subject::class);
    }

    // Relasi balik ke User (Guru)
    public function user()
    {
        return $this->belongsTo(User::class);
    }
}